<?php
	$fields = array(
        array(
            'key' => 'display_by',
            'type' => 'select',
            'tab' => 'contents',
            'default' => '',
            'title' => esc_html__( 'Display By', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'How you want to display carousel', 'responsive-posts-carousel' ),
            'options' => array(
            	'post_type' => esc_html__( 'By Post Type', 'responsive-posts-carousel' ),
            	'taxonomy' => esc_html__( 'By Taxonomy', 'responsive-posts-carousel' ),
            ),
        ),
        array(
            'key' => 'taxonomy',
            'type' => 'taxonomy',
            'tab' => 'contents',
            'default' => '',
            'title' => esc_html__( 'Select Taxonomy', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Select Taxonomy', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('term', ''),
            'type' => 'term',
            'tab' => 'contents',
            'default' => '',
            'title' => esc_html__( 'Select Term', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Select Terms', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'post_type',
            'type' => 'post_type',
            'tab' => 'contents',
            'default' => '',
            'title' => esc_html__( 'Select Post Type', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Select Post Type', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('posts', ''),
            'type' => 'posts',
            'tab' => 'contents',
            'default' => '',
            'title' => esc_html__( 'Select Posts', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Choose posts to display in carousel', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'exclude_ids',
            'type' => 'text',
            'tab' => 'contents',
            'default' => '',
            'title' => esc_html__( 'Exclude Posts', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Comma separated ids of posts that you do not want to display', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'title',
            'type' => 'text',
            'tab' => 'contents',
            'default' => '',
            'title' => esc_html__( 'Title', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Provide post meta key to display as heading. You can use only one meta key here.', 'responsive-posts-carousel' ).' '.
            esc_html__( 'Example', 'responsive-posts-carousel' ).' '.
            '<code>post_title</code>, <code>post_date</code>, <code>content</code>, <code>post_author</code>, <code>excerpt</code>, <code>none</code>',
        ),
        array(
            'key' => 'titlewords',
            'type' => 'number',
            'tab' => 'contents',
            'default' => '',
            'title' => __( 'Title Words Length', 'responsive-posts-carousel' ),
            'help' => __( 'Maximum words to display for title.', 'responsive-posts-carousel' ).' '.
            __( 'Example', 'responsive-posts-carousel' ).' <code>5</code>',
        ),
        array(
            'key' => 'desc',
            'type' => 'text',
            'tab' => 'contents',
            'default' => '',
            'title' => esc_html__( 'Content', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Provide post meta key to display as description. You can use only one meta key here.', 'responsive-posts-carousel' ).' '.
            esc_html__( 'Example', 'responsive-posts-carousel' ).' '.
            '<code>post_title</code>, <code>post_date</code>, <code>content</code>, <code>post_author</code>, <code>excerpt</code>, <code>none</code>',
        ),
        array(
            'key' => 'words',
            'type' => 'number',
            'tab' => 'contents',
            'default' => '',
            'title' => esc_html__( 'Description Words Length', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Maximum words to display for description.', 'responsive-posts-carousel' ).' '.
            esc_html__( 'Example', 'responsive-posts-carousel' ).' <code>30</code>',
        ),
        array(
            'key' => 'appendmore',
            'type' => 'text',
            'tab' => 'contents',
            'default' => '',
            'title' => __( 'Append to Trimmed Text', 'responsive-posts-carousel' ),
            'help' => __( 'What to append if Maximum Words is defined. Default: ', 'responsive-posts-carousel' )
            .'<code>...</code>',
        ),
        array(
            'key' => 'enableshortcodes',
            'type' => 'checkbox',
            'tab' => 'contents',
            'default' => '',
            'title' => __( 'Shortcodes/Page Builders', 'responsive-posts-carousel' ),
            'help' => __( 'Check this if you are using any page builder or shortcodes inside post/page contents.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'read_more_txt',
            'type' => 'text',
            'tab' => 'contents',
            'default' => '',
            'title' => esc_html__( 'Read More Button Text', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Provide text for read more button (if available in selected template). Leave blank to disable.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'read_more_classes',
            'type' => 'text',
            'tab' => 'contents',
            'default' => '',
            'title' => esc_html__( 'Read More Button CSS Classes', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Provide css classes for styling of button', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'read_more_target',
            'type' => 'select',
            'tab' => 'contents',
            'default' => '',
            'title' => esc_html__( 'Link Target', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'How you want to open links', 'responsive-posts-carousel' ),
            'options' => array(
            	'_self' => esc_html__( 'Same Tab', 'responsive-posts-carousel' ),
            	'_blank' => esc_html__( 'New Tab', 'responsive-posts-carousel' ),
            ),
        ),

        // Slider
        array(
            'key' => array('slider', 'accessibility'),
            'type' => 'checkbox',
            'tab' => 'slider',
            'default' => '',
            'title' => esc_html__( 'Accessibility', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Enables tabbing and arrow key navigation', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('slider', 'dots'),
            'type' => 'checkbox',
            'tab' => 'slider',
            'default' => '',
            'title' => esc_html__( 'Bottom Dots', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Check to enable current slide indicator dots', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('slider', 'autoplay'),
            'type' => 'checkbox',
            'tab' => 'slider',
            'default' => '',
            'title' => esc_html__( 'Auto Play', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Enables auto play of slides', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('slider', 'arrows'),
            'type' => 'checkbox',
            'tab' => 'arrows',
            'default' => '',
            'title' => esc_html__( 'Arrows', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Check to enable Next/Prev arrows', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('slider', 'autoplaySpeed'),
            'type' => 'number',
            'tab' => 'slider',
            'default' => '',
            'title' => esc_html__( 'Auto Play Speed', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Auto play change interval in milliseconds', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('slider', 'pauseonhover'),
            'type' => 'checkbox',
            'tab' => 'slider',
            'default' => '',
            'title' => esc_html__( 'Pause on Hover', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Enable it to pause the auto play when user hover over the slider.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('slider', 'slidesToShow'),
            'type' => 'number',
            'tab' => 'slider',
            'default' => '',
            'title' => esc_html__( 'Number of Columns (Desktop)', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Number of posts to show at a time in a row for desktop view', 'responsive-posts-carousel' ).' <code>992px+</code>',
        ),
        array(
            'key' => array('slider', 'slidesToShowtab'),
            'type' => 'number',
            'tab' => 'slider',
            'default' => '',
            'title' => esc_html__( 'Number of Columns (Tablet)', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Number of posts to show at a time in a row for tablet view', 'responsive-posts-carousel' ).' <code>992px-</code>',
        ),
        array(
            'key' => array('slider', 'slidesToShowmob'),
            'type' => 'number',
            'tab' => 'slider',
            'default' => '',
            'title' => esc_html__( 'Number of Columns (Mobile)', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Number of posts to show at a time in a row for mobile view', 'responsive-posts-carousel' ).' <code>768px-</code>',
        ),
        array(
            'key' => array('slider', 'slidesToScroll'),
            'type' => 'number',
            'tab' => 'slider',
            'default' => '',
            'title' => esc_html__( 'Number of Posts To Slide', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Number of posts to slide at a time', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('slider', 'speed'),
            'type' => 'number',
            'tab' => 'slider',
            'default' => '',
            'title' => esc_html__( 'Slide Speed', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Transition speed in milliseconds', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('slider', 'infinite'),
            'type' => 'checkbox',
            'tab' => 'slider',
            'default' => '',
            'title' => esc_html__( 'Infinite', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Infinite loop sliding.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('slider', 'centermode'),
            'type' => 'checkbox',
            'tab' => 'slider',
            'default' => '',
            'title' => esc_html__( 'Center Mode', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Enables centered view with partial prev/next slides. Use it with odd Number of Columns.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('slider', 'initialslide'),
            'type' => 'number',
            'tab' => 'slider',
            'default' => '0',
            'title' => esc_html__( 'Initial Slide', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Set the initial slide here, starting from 0', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('slider', 'cssEase'),
            'type' => 'select',
            'tab' => 'slider',
            'default' => '',
            'title' => esc_html__( 'CSS Easing', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Slide animation easing can be choosed here.', 'responsive-posts-carousel' ).' <a href="https://easings.net/" target="_blank">Easing Demo</a>',
            'options' => array(
                'ease' => esc_html__( 'Default', 'responsive-posts-carousel' ),
                'linear' => esc_html__( 'Linear', 'responsive-posts-carousel' ),
                'cubic-bezier(0.47,0,0.745,0.715)' => esc_html__( 'easeInSine', 'responsive-posts-carousel' ),
                'cubic-bezier(0.39,0.575,0.565, 1)' => esc_html__( 'easeOutSine', 'responsive-posts-carousel' ),
                'cubic-bezier(0.445,0.05,0.55,0.95)' => esc_html__( 'easeInOutSine', 'responsive-posts-carousel' ),
                'cubic-bezier(0.55,0.085,0.68,0.53)' => esc_html__( 'easeInQuad', 'responsive-posts-carousel' ),
                'cubic-bezier(0.25,0.46,0.45,0.94)' => esc_html__( 'easeOutQuad', 'responsive-posts-carousel' ),
                'cubic-bezier(0.455,0.03,0.515,0.955)' => esc_html__( 'easeInOutQuad', 'responsive-posts-carousel' ),
                'cubic-bezier(0.55,0.055,0.675,0.19)' => esc_html__( 'easeInCubic', 'responsive-posts-carousel' ),
                'cubic-bezier(0.215,0.61,0.355,1)' => esc_html__( 'easeOutCubic', 'responsive-posts-carousel' ),
                'cubic-bezier(0.645,0.045,0.355,1)' => esc_html__( 'easeInOutCubic', 'responsive-posts-carousel' ),
                'cubic-bezier(0.895,0.03,0.685,0.22)' => esc_html__( 'easeInQuart', 'responsive-posts-carousel' ),
                'cubic-bezier(0.165,0.84,0.44,1)' => esc_html__( 'easeOutQuart', 'responsive-posts-carousel' ),
                'cubic-bezier(0.77,0,0.175,1)' => esc_html__( 'easeInOutQuart', 'responsive-posts-carousel' ),
                'cubic-bezier(0.755,0.05,0.855,0.06)' => esc_html__( 'easeInQuint', 'responsive-posts-carousel' ),
                'cubic-bezier(0.23,1,0.32,1)' => esc_html__( 'easeOutQuint', 'responsive-posts-carousel' ),
                'cubic-bezier(0.86,0,0.07,1)' => esc_html__( 'easeInOutQuint', 'responsive-posts-carousel' ),
                'cubic-bezier(0.95,0.05,0.795,0.035)' => esc_html__( 'easeInExpo', 'responsive-posts-carousel' ),
                'cubic-bezier(0.19,1,0.22,1)' => esc_html__( 'easeOutExpo', 'responsive-posts-carousel' ),
                'cubic-bezier(1,0,0,1)' => esc_html__( 'easeInOutExpo', 'responsive-posts-carousel' ),
                'cubic-bezier(0.6,0.04,0.98,0.335)' => esc_html__( 'easeInCirc', 'responsive-posts-carousel' ),
                'cubic-bezier(0.075,0.82,0.165,1)' => esc_html__( 'easeOutCirc', 'responsive-posts-carousel' ),
                'cubic-bezier(0.785,0.135,0.15,0.86)' => esc_html__( 'easeInOutCirc', 'responsive-posts-carousel' ),
                'cubic-bezier(0.6,-0.28,0.735,0.045)' => esc_html__( 'easeInBack', 'responsive-posts-carousel' ),
                'cubic-bezier(0.175,0.885,0.32,1.275)' => esc_html__( 'easeOutBack', 'responsive-posts-carousel' ),
                'cubic-bezier(0.68,-0.55,0.265,1.55)' => esc_html__( 'easeInOutBack', 'responsive-posts-carousel' ),
            ),
        ),
        array(
            'key' => array('slider', 'vertical'),
            'type' => 'checkbox',
            'tab' => 'slider',
            'default' => '',
            'title' => esc_html__( 'Vertical Mode', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'It will display slides vertically, best to display in widgets or sidebars.', 'responsive-posts-carousel' ),
        ),                
        array(
            'key' => array('slider', 'margin'),
            'type' => 'text',
            'tab' => 'slider',
            'default' => '',
            'title' => esc_html__( 'Space Between Posts', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Margin will apply to both sides. Provide with unit.', 'responsive-posts-carousel' ).' '.
            esc_html__( 'Example', 'responsive-posts-carousel' ).' <code>20px</code>',
        ),

        array(
            'key' => 'carousel_background',
            'type' => 'color',
            'tab' => 'colors',
            'default' => '',
            'title' => esc_html__( 'Carousel Background Color', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Choose background color for whole carousel', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'dots_color',
            'type' => 'color',
            'tab' => 'colors',
            'default' => '',
            'title' => esc_html__( 'Navigation Dots Color', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Choose the color for bottom navigation dots', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'fullwidth',
            'type' => 'checkbox',
            'tab' => 'colors',
            'default' => '',
            'title' => esc_html__( 'Full Width', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Checking it will remove the margin from slides on the sides making it full as the container.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'popup',
            'type' => 'checkbox',
            'tab' => 'colors',
            'default' => '',
            'title' => esc_html__( 'Popup', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Checking it will open posts in a lightbox upon clicking.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('slider', 'rtl'),
            'type' => 'checkbox',
            'tab' => 'colors',
            'default' => '',
            'title' => esc_html__( 'RTL Mode', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Checking it will enable the right to left mode.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'sameheightcols',
            'type' => 'checkbox',
            'tab' => 'colors',
            'default' => '',
            'title' => esc_html__( 'Same Height Slides', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Checking it will make all slides equal to the biggest one.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'custom_css',
            'type' => 'textarea',
            'tab' => 'colors',
            'default' => '',
            'title' => esc_html__( 'Custom CSS', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Paste custom css code here', 'responsive-posts-carousel' ),
        ),


        // Arrows
        array(
            'key' => array('arrow', 'type'),
            'type' => 'select',
            'tab' => 'arrows',
            'default' => '',
            'title' => esc_html__( 'Arrows Type', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Choose navigation arrows type here', 'responsive-posts-carousel' ),
            'options' => array(
                'circle' => esc_html__( 'Circle', 'responsive-posts-carousel' ),
                'circleinverted' => esc_html__( 'Circle Inverted', 'responsive-posts-carousel' ),
                'simple' => esc_html__( 'Simple', 'responsive-posts-carousel' ),
                'long' => esc_html__( 'Long', 'responsive-posts-carousel' ),
                'angle' => esc_html__( 'Angle', 'responsive-posts-carousel' ),
                'doubleangle' => esc_html__( 'Double Angle', 'responsive-posts-carousel' ),
                'caret' => esc_html__( 'Caret', 'responsive-posts-carousel' ),
                'caretsquare' => esc_html__( 'Caret Square', 'responsive-posts-carousel' ),
                'hand' => esc_html__( 'Hand', 'responsive-posts-carousel' ),
                'chevron' => esc_html__( 'Chevron', 'responsive-posts-carousel' ),
            ),
        ),
        array(
            'key' => array('arrow', 'style'),
            'type' => 'select',
            'tab' => 'arrows',
            'default' => '',
            'title' => esc_html__( 'Arrows Style', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Choose arrow appearance here', 'responsive-posts-carousel' ),
            'options' => array(
                'transparent' => esc_html__( 'Transparent', 'responsive-posts-carousel' ),
                'square' => esc_html__( 'Square', 'responsive-posts-carousel' ),
                'circle' => esc_html__( 'Circle', 'responsive-posts-carousel' ),
            ),
        ),
        array(
            'key' => 'arrow_color',
            'type' => 'color',
            'tab' => 'arrows',
            'default' => '',
            'title' => esc_html__( 'Arrows Color', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Choose arrows color', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('arrow', 'bgcolor'),
            'type' => 'color',
            'tab' => 'arrows',
            'default' => '',
            'title' => esc_html__( 'Arrows Background Color', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Choose arrows background color', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('arrow', 'size'),
            'type' => 'text',
            'tab' => 'arrows',
            'default' => '20px',
            'title' => esc_html__( 'Arrows Size', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Provide size in pixels along with unit', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('arrow', 'position'),
            'type' => 'select',
            'tab' => 'arrows',
            'default' => '',
            'title' => esc_html__( 'Arrows Position', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Where you want to display the arrows', 'responsive-posts-carousel' ),
            'options' => array(
                'default' => esc_html__( 'Default', 'responsive-posts-carousel' ),
                'topright' => esc_html__( 'Top Right', 'responsive-posts-carousel' ),
                'topleft' => esc_html__( 'Top Left', 'responsive-posts-carousel' ),
                'aboveposts' => esc_html__( 'Above Posts', 'responsive-posts-carousel' ),
            ),
        ),

        // Advanced Settings
        array(
            'key' => 'images_size',
            'type' => 'image_size',
            'tab' => 'advanced',
            'default' => '',
            'title' => esc_html__( 'Images Size', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Choose images size for thumbnails', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'lazy_loading',
            'type' => 'checkbox',
            'tab' => 'advanced',
            'default' => '',
            'title' => esc_html__( 'Lazy Loading', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'It will enable the lazy loading of the images. Make sure that Equal Height Mode is not enabled to avoid strange results.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'offset',
            'type' => 'number',
            'tab' => 'advanced',
            'default' => '',
            'title' => esc_html__( 'Skip Posts', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Number of posts to skip from initial posts regarding current settings.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'posts_per_page',
            'type' => 'number',
            'tab' => 'advanced',
            'default' => '',
            'title' => esc_html__( 'Total Posts', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Number of posts to display from current settings. Leave blank to display all.', 'responsive-posts-carousel' ),
        ),  
        array(
            'key' => array('slider', 'rows'),
            'type' => 'number',
            'tab' => 'advanced',
            'default' => '',
            'title' => esc_html__( 'Rows', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Setting this to more than 1 initializes grid mode. Use slidesPerRow to set how many slides should be in each row.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('slider', 'slidesPerRow'),
            'type' => 'number',
            'tab' => 'advanced',
            'default' => '',
            'title' => esc_html__( 'Slides Per Row', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'With grid mode initialized via the rows option, this sets how many slides are in each grid row.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'placeholder_image',
            'type' => 'text',
            'tab' => 'advanced',
            'default' => '',
            'title' => esc_html__( 'Placeholder Image Url', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Provide placeholder image url for that posts which do not have featured images.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'disable_current_post',
            'type' => 'checkbox',
            'tab' => 'advanced',
            'default' => '',
            'title' => esc_html__( 'Disable Current Post', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Check to exclude the current post from slider if you are using it under a post.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => array('slider', 'adaptiveheight'),
            'type' => 'checkbox',
            'tab' => 'advanced',
            'default' => '',
            'title' => esc_html__( 'Adaptive Height', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Auto adjust height of the slider as per the current slide.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'equal_height_mode',
            'type' => 'checkbox',
            'tab' => 'advanced',
            'default' => '',
            'title' => esc_html__( 'Equal Height Mode', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Checking this make all images same in height.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'images_height',
            'type' => 'text',
            'tab' => 'advanced',
            'default' => '',
            'title' => esc_html__( 'Images Height', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Fixed Height for images in px. Eg: 450px if Equal Height Mode is enabled.', 'responsive-posts-carousel' ),
        ),
        array(
            'key' => 'social_networks',
            'type' => 'select',
            'tab' => 'advanced',
            'multiple' => true,
            'default' => '',
            'options' => array(
                'post' => esc_html__( 'Post Link', 'responsive-posts-carousel' ),
                'facebook' => esc_html__( 'Facebook', 'responsive-posts-carousel' ),
                'twitter' => esc_html__( 'Twitter', 'responsive-posts-carousel' ),
                'googleplus' => esc_html__( 'Google Plus', 'responsive-posts-carousel' ),
                'tumblr' => esc_html__( 'Tumblr', 'responsive-posts-carousel' ),
                'email' => esc_html__( 'Email', 'responsive-posts-carousel' ),
                'pinterest' => esc_html__( 'Pinterest', 'responsive-posts-carousel' ),
                'linkedin' => esc_html__( 'Linkedin', 'responsive-posts-carousel' ),
                'reddit' => esc_html__( 'Reddit', 'responsive-posts-carousel' ),
                'xing' => esc_html__( 'Xing', 'responsive-posts-carousel' ),
                'whatsapp' => esc_html__( 'WhatsApp', 'responsive-posts-carousel' ),
                'hackernews' => esc_html__( 'Hacker News', 'responsive-posts-carousel' ),
                'vk' => esc_html__( 'VK', 'responsive-posts-carousel' ),
                'telegram' => esc_html__( 'Telegram', 'responsive-posts-carousel' ),
            ),            
            'title' => esc_html__( 'Social Networks', 'responsive-posts-carousel' ),
            'help' => esc_html__( 'Choose social networks for specific templates.', 'responsive-posts-carousel' ),
        ),
    );
?>